Skip to content

Get tenant list

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get tenant list

Method name

AuthenticationClient.get_tenant_list

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request response

Type: GetTenantListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "tenantId": "xxxx",
    "tenantName": "xxxx",
    "joinAt": "xxxx"
  }
}

Data structure

UserTenantListDto

NameTypeIs it requiredDescriptionSample value
tenantIdstringyestenant IDxxxx
tenantNamestringyestenant namexxxx
joinAtstringyestime to join the tenantxxxx

Agent infrastructure for identity, memory, and web action.